#ifndef _global_h
#define _global_h

#include <Arduino.h>
#include <LCD_I2C.h>

#include <TimeAlarms.h>
#include <BluetoothSerial.h>
#include <DS1307RTC.h>
//#include <I2CEEPROM.h>
//#include <RealTimeClock.h>
#include <OneWire.h> // rtc clock, temperature, eeprom?
#include <Wire.h>
#include <math.h>
#include <time.h>
#include <string.h>
#include <Preferences.h> //https://github.com/espressif/arduino-esp32/tree/master/libraries/Preferences

//#include <AT24CM01.h> //  rtc eeprom, 4KB
//#include <EEPROM>


  uint8_t block[8] = {
    B11111,
    B11111,
    B11111,
    B11111,
    B11111,
    B11111,
    B11111,
  };

  uint8_t bar_1_5[8] = {
    B10000,
    B10000,
    B10000,
    B10000,
    B10000,
    B10000,
    B10000,
  };

  uint8_t bar_1_5_inverted[8] = {
    B00001,
    B00001,
    B00001,
    B00001,
    B00001,
    B00001,
    B00001,
  };
  /*
    byte bar_3_5[8] = {
      B11100,
      B11100,
      B11100,
      B11100,
      B11100,
      B11100,
      B11100,
    };

    byte arrowUp[8] = {
      B00000,
      B00100,
      B01110,
      B11111,
      B00000,
      B00000,
      B00000,
      B00000
    };

    byte arrowDown[8] = {
      B00000,
      B00000,
      B00000,
      B00000,
      B11111,
      B01110,
      B00100,
      B00000
    };

    byte yes[8] = {
      B00000,
      B00000,
      B00001,
      B00010,
      B10100,
      B01000,
      B00000,
      B00000
    };

    byte no[8] = {
      B00000,
      B00000,
      B10001,
      B01010,
      B00100,
      B01010,
      B10001,
      B00000
    };
  */
 uint8_t arrowRight[8] = {
    0,
    0,
    B00100,
    B00110,
    B00111,
    B00110,
    B00100,
    B00000
  };

uint8_t arrowLeft[8] = {
    0,
    0,
    B00100,
    B01100,
    B11100,
    B01100,
    B00100,
    B00000
  };


int16_t counter=0;

//DS2431 EEPROM;
//#define AT2CSPEED 400000 
time_t paskutiniKartaLaistyta;
int8_t paskutiniKartaLaistytaSek=0;
static int ryskumas = 30;
char buttonState = '0';
char lastButtonState = '0';
static int8_t menuHighlight = 0;
static int8_t menuMax = 5;
static int8_t mainMenu = -1;

// problems linking this shiet
void printSpaces(int8_t spaceCount, LCD_I2C *lcd);
void eitiAtgalIPagrMeniu(LCD_I2C *lcd);
void enableEEPROM(int16_t size);
#endif